--Copyright 1986-2016 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2016.3 (win64) Build 1682563 Mon Oct 10 19:07:27 MDT 2016
--Date        : Fri Mar 10 16:20:32 2017
--Host        : MPLPC1 running 64-bit Service Pack 1  (build 7601)
--Command     : generate_target mpsoc.bd
--Design      : mpsoc
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity mpsoc is
  port (
    TRACE_CLK_SDR : out STD_LOGIC;
    TRACE_DATA : out STD_LOGIC_VECTOR ( 31 downto 0 )
  );
  attribute CORE_GENERATION_INFO : string;
  attribute CORE_GENERATION_INFO of mpsoc : entity is "mpsoc,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=mpsoc,x_ipVersion=1.00.a,x_ipLanguage=VHDL,numBlks=1,numReposBlks=1,numNonXlnxBlks=0,numHierBlks=0,maxHierDepth=0,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=USER,synth_mode=OOC_per_IP}";
  attribute HW_HANDOFF : string;
  attribute HW_HANDOFF of mpsoc : entity is "mpsoc.hwdef";
end mpsoc;

architecture STRUCTURE of mpsoc is
  component mpsoc_zynq_ultra_ps_e_0_1 is
  port (
    pl_ps_trace_clk : in STD_LOGIC;
    ps_pl_tracectl : out STD_LOGIC;
    ps_pl_tracedata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    trace_clk_out : out STD_LOGIC;
    pl_clk1 : out STD_LOGIC
  );
  end component mpsoc_zynq_ultra_ps_e_0_1;
  signal zynq_ultra_ps_e_0_pl_clk1 : STD_LOGIC;
  signal zynq_ultra_ps_e_0_ps_pl_tracedata : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal NLW_zynq_ultra_ps_e_0_ps_pl_tracectl_UNCONNECTED : STD_LOGIC;
  signal NLW_zynq_ultra_ps_e_0_trace_clk_out_UNCONNECTED : STD_LOGIC;
begin
  TRACE_CLK_SDR <= zynq_ultra_ps_e_0_pl_clk1;
  TRACE_DATA(31 downto 0) <= zynq_ultra_ps_e_0_ps_pl_tracedata(31 downto 0);
zynq_ultra_ps_e_0: component mpsoc_zynq_ultra_ps_e_0_1
     port map (
      pl_clk1 => zynq_ultra_ps_e_0_pl_clk1,
      pl_ps_trace_clk => zynq_ultra_ps_e_0_pl_clk1,
      ps_pl_tracectl => NLW_zynq_ultra_ps_e_0_ps_pl_tracectl_UNCONNECTED,
      ps_pl_tracedata(31 downto 0) => zynq_ultra_ps_e_0_ps_pl_tracedata(31 downto 0),
      trace_clk_out => NLW_zynq_ultra_ps_e_0_trace_clk_out_UNCONNECTED
    );
end STRUCTURE;
