--Copyright 1986-2016 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2016.3 (win64) Build 1682563 Mon Oct 10 19:07:27 MDT 2016
--Date        : Fri Mar 10 16:16:41 2017
--Host        : MPLPC1 running 64-bit Service Pack 1  (build 7601)
--Command     : generate_target aurora_2lane.bd
--Design      : aurora_2lane
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity aurora_2lane is
  port (
    gt_refclk1_n : in STD_LOGIC;
    gt_refclk1_out : out STD_LOGIC;
    gt_refclk1_p : in STD_LOGIC;
    gt_reset : in STD_LOGIC;
    gt_reset_out : out STD_LOGIC;
    init_clk_in : in STD_LOGIC;
    loopback : in STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axis_aresetn : in STD_LOGIC;
    pll_not_locked_out : out STD_LOGIC;
    power_down : in STD_LOGIC;
    s_axis_aclk : in STD_LOGIC;
    s_axis_aresetn : in STD_LOGIC;
    s_axis_tdata : in STD_LOGIC_VECTOR ( 63 downto 0 );
    s_axis_tkeep : in STD_LOGIC_VECTOR ( 7 downto 0 );
    s_axis_tlast : in STD_LOGIC;
    s_axis_tready : out STD_LOGIC;
    s_axis_tvalid : in STD_LOGIC;
    sync_clk_out : out STD_LOGIC;
    sys_reset_out : out STD_LOGIC;
    tx_channel_up : out STD_LOGIC;
    tx_hard_err : out STD_LOGIC;
    tx_lane_up : out STD_LOGIC_VECTOR ( 0 to 1 );
    tx_lock : out STD_LOGIC;
    tx_resetdone_out : out STD_LOGIC;
    tx_system_reset : in STD_LOGIC;
    txn : out STD_LOGIC_VECTOR ( 0 to 1 );
    txp : out STD_LOGIC_VECTOR ( 0 to 1 );
    user_clk_out : out STD_LOGIC
  );
  attribute CORE_GENERATION_INFO : string;
  attribute CORE_GENERATION_INFO of aurora_2lane : entity is "aurora_2lane,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=aurora_2lane,x_ipVersion=1.00.a,x_ipLanguage=VHDL,numBlks=2,numReposBlks=2,numNonXlnxBlks=0,numHierBlks=0,maxHierDepth=0,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=USER,synth_mode=OOC_per_IP}";
  attribute HW_HANDOFF : string;
  attribute HW_HANDOFF of aurora_2lane : entity is "aurora_2lane.hwdef";
end aurora_2lane;

architecture STRUCTURE of aurora_2lane is
  component aurora_2lane_aurora_0 is
  port (
    s_axi_tx_tdata : in STD_LOGIC_VECTOR ( 63 downto 0 );
    s_axi_tx_tkeep : in STD_LOGIC_VECTOR ( 7 downto 0 );
    s_axi_tx_tlast : in STD_LOGIC;
    s_axi_tx_tvalid : in STD_LOGIC;
    s_axi_tx_tready : out STD_LOGIC;
    tx_hard_err : out STD_LOGIC;
    tx_channel_up : out STD_LOGIC;
    tx_lane_up : out STD_LOGIC_VECTOR ( 0 to 1 );
    txp : out STD_LOGIC_VECTOR ( 0 to 1 );
    txn : out STD_LOGIC_VECTOR ( 0 to 1 );
    tx_system_reset : in STD_LOGIC;
    gt_reset : in STD_LOGIC;
    loopback : in STD_LOGIC_VECTOR ( 2 downto 0 );
    power_down : in STD_LOGIC;
    tx_lock : out STD_LOGIC;
    tx_resetdone_out : out STD_LOGIC;
    init_clk_in : in STD_LOGIC;
    user_clk_out : out STD_LOGIC;
    pll_not_locked_out : out STD_LOGIC;
    sys_reset_out : out STD_LOGIC;
    gt_refclk1_p : in STD_LOGIC;
    gt_refclk1_n : in STD_LOGIC;
    sync_clk_out : out STD_LOGIC;
    gt_reset_out : out STD_LOGIC;
    gt_refclk1_out : out STD_LOGIC
  );
  end component aurora_2lane_aurora_0;
  component aurora_2lane_fifo_0 is
  port (
    s_axis_aresetn : in STD_LOGIC;
    m_axis_aresetn : in STD_LOGIC;
    s_axis_aclk : in STD_LOGIC;
    s_axis_tvalid : in STD_LOGIC;
    s_axis_tready : out STD_LOGIC;
    s_axis_tdata : in STD_LOGIC_VECTOR ( 63 downto 0 );
    s_axis_tkeep : in STD_LOGIC_VECTOR ( 7 downto 0 );
    s_axis_tlast : in STD_LOGIC;
    m_axis_aclk : in STD_LOGIC;
    m_axis_tvalid : out STD_LOGIC;
    m_axis_tready : in STD_LOGIC;
    m_axis_tdata : out STD_LOGIC_VECTOR ( 63 downto 0 );
    m_axis_tkeep : out STD_LOGIC_VECTOR ( 7 downto 0 );
    m_axis_tlast : out STD_LOGIC;
    axis_data_count : out STD_LOGIC_VECTOR ( 31 downto 0 );
    axis_wr_data_count : out STD_LOGIC_VECTOR ( 31 downto 0 );
    axis_rd_data_count : out STD_LOGIC_VECTOR ( 31 downto 0 )
  );
  end component aurora_2lane_fifo_0;
  signal aurora_8b10b_0_gt_refclk1_out : STD_LOGIC;
  signal aurora_8b10b_0_gt_reset_out : STD_LOGIC;
  signal aurora_8b10b_0_pll_not_locked_out : STD_LOGIC;
  signal aurora_8b10b_0_sync_clk_out : STD_LOGIC;
  signal aurora_8b10b_0_sys_reset_out : STD_LOGIC;
  signal aurora_8b10b_0_tx_channel_up : STD_LOGIC;
  signal aurora_8b10b_0_tx_hard_err : STD_LOGIC;
  signal aurora_8b10b_0_tx_lane_up : STD_LOGIC_VECTOR ( 0 to 1 );
  signal aurora_8b10b_0_tx_lock : STD_LOGIC;
  signal aurora_8b10b_0_tx_resetdone_out : STD_LOGIC;
  signal aurora_8b10b_0_txn : STD_LOGIC_VECTOR ( 0 to 1 );
  signal aurora_8b10b_0_txp : STD_LOGIC_VECTOR ( 0 to 1 );
  signal aurora_8b10b_0_user_clk_out : STD_LOGIC;
  signal axis_data_fifo_0_M_AXIS_TDATA : STD_LOGIC_VECTOR ( 63 downto 0 );
  signal axis_data_fifo_0_M_AXIS_TKEEP : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal axis_data_fifo_0_M_AXIS_TLAST : STD_LOGIC;
  signal axis_data_fifo_0_M_AXIS_TREADY : STD_LOGIC;
  signal axis_data_fifo_0_M_AXIS_TVALID : STD_LOGIC;
  signal axis_data_fifo_0_s_axis_tready : STD_LOGIC;
  signal gt_refclk1_n_1 : STD_LOGIC;
  signal gt_refclk1_p_1 : STD_LOGIC;
  signal gt_reset_1 : STD_LOGIC;
  signal init_clk_in_1 : STD_LOGIC;
  signal loopback_1 : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal m_axis_aresetn_1 : STD_LOGIC;
  signal power_down_1 : STD_LOGIC;
  signal s_axis_aclk_1 : STD_LOGIC;
  signal s_axis_aresetn_1 : STD_LOGIC;
  signal s_axis_tdata_1 : STD_LOGIC_VECTOR ( 63 downto 0 );
  signal s_axis_tkeep_1 : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal s_axis_tlast_1 : STD_LOGIC;
  signal s_axis_tvalid_1 : STD_LOGIC;
  signal tx_system_reset_1 : STD_LOGIC;
  signal NLW_fifo_axis_data_count_UNCONNECTED : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal NLW_fifo_axis_rd_data_count_UNCONNECTED : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal NLW_fifo_axis_wr_data_count_UNCONNECTED : STD_LOGIC_VECTOR ( 31 downto 0 );
begin
  gt_refclk1_n_1 <= gt_refclk1_n;
  gt_refclk1_out <= aurora_8b10b_0_gt_refclk1_out;
  gt_refclk1_p_1 <= gt_refclk1_p;
  gt_reset_1 <= gt_reset;
  gt_reset_out <= aurora_8b10b_0_gt_reset_out;
  init_clk_in_1 <= init_clk_in;
  loopback_1(2 downto 0) <= loopback(2 downto 0);
  m_axis_aresetn_1 <= m_axis_aresetn;
  pll_not_locked_out <= aurora_8b10b_0_pll_not_locked_out;
  power_down_1 <= power_down;
  s_axis_aclk_1 <= s_axis_aclk;
  s_axis_aresetn_1 <= s_axis_aresetn;
  s_axis_tdata_1(63 downto 0) <= s_axis_tdata(63 downto 0);
  s_axis_tkeep_1(7 downto 0) <= s_axis_tkeep(7 downto 0);
  s_axis_tlast_1 <= s_axis_tlast;
  s_axis_tready <= axis_data_fifo_0_s_axis_tready;
  s_axis_tvalid_1 <= s_axis_tvalid;
  sync_clk_out <= aurora_8b10b_0_sync_clk_out;
  sys_reset_out <= aurora_8b10b_0_sys_reset_out;
  tx_channel_up <= aurora_8b10b_0_tx_channel_up;
  tx_hard_err <= aurora_8b10b_0_tx_hard_err;
  tx_lane_up(0 to 1) <= aurora_8b10b_0_tx_lane_up(0 to 1);
  tx_lock <= aurora_8b10b_0_tx_lock;
  tx_resetdone_out <= aurora_8b10b_0_tx_resetdone_out;
  tx_system_reset_1 <= tx_system_reset;
  txn(0 to 1) <= aurora_8b10b_0_txn(0 to 1);
  txp(0 to 1) <= aurora_8b10b_0_txp(0 to 1);
  user_clk_out <= aurora_8b10b_0_user_clk_out;
aurora: component aurora_2lane_aurora_0
     port map (
      gt_refclk1_n => gt_refclk1_n_1,
      gt_refclk1_out => aurora_8b10b_0_gt_refclk1_out,
      gt_refclk1_p => gt_refclk1_p_1,
      gt_reset => gt_reset_1,
      gt_reset_out => aurora_8b10b_0_gt_reset_out,
      init_clk_in => init_clk_in_1,
      loopback(2 downto 0) => loopback_1(2 downto 0),
      pll_not_locked_out => aurora_8b10b_0_pll_not_locked_out,
      power_down => power_down_1,
      s_axi_tx_tdata(63 downto 0) => axis_data_fifo_0_M_AXIS_TDATA(63 downto 0),
      s_axi_tx_tkeep(7 downto 0) => axis_data_fifo_0_M_AXIS_TKEEP(7 downto 0),
      s_axi_tx_tlast => axis_data_fifo_0_M_AXIS_TLAST,
      s_axi_tx_tready => axis_data_fifo_0_M_AXIS_TREADY,
      s_axi_tx_tvalid => axis_data_fifo_0_M_AXIS_TVALID,
      sync_clk_out => aurora_8b10b_0_sync_clk_out,
      sys_reset_out => aurora_8b10b_0_sys_reset_out,
      tx_channel_up => aurora_8b10b_0_tx_channel_up,
      tx_hard_err => aurora_8b10b_0_tx_hard_err,
      tx_lane_up(0 to 1) => aurora_8b10b_0_tx_lane_up(0 to 1),
      tx_lock => aurora_8b10b_0_tx_lock,
      tx_resetdone_out => aurora_8b10b_0_tx_resetdone_out,
      tx_system_reset => tx_system_reset_1,
      txn(0 to 1) => aurora_8b10b_0_txn(0 to 1),
      txp(0 to 1) => aurora_8b10b_0_txp(0 to 1),
      user_clk_out => aurora_8b10b_0_user_clk_out
    );
fifo: component aurora_2lane_fifo_0
     port map (
      axis_data_count(31 downto 0) => NLW_fifo_axis_data_count_UNCONNECTED(31 downto 0),
      axis_rd_data_count(31 downto 0) => NLW_fifo_axis_rd_data_count_UNCONNECTED(31 downto 0),
      axis_wr_data_count(31 downto 0) => NLW_fifo_axis_wr_data_count_UNCONNECTED(31 downto 0),
      m_axis_aclk => aurora_8b10b_0_user_clk_out,
      m_axis_aresetn => m_axis_aresetn_1,
      m_axis_tdata(63 downto 0) => axis_data_fifo_0_M_AXIS_TDATA(63 downto 0),
      m_axis_tkeep(7 downto 0) => axis_data_fifo_0_M_AXIS_TKEEP(7 downto 0),
      m_axis_tlast => axis_data_fifo_0_M_AXIS_TLAST,
      m_axis_tready => axis_data_fifo_0_M_AXIS_TREADY,
      m_axis_tvalid => axis_data_fifo_0_M_AXIS_TVALID,
      s_axis_aclk => s_axis_aclk_1,
      s_axis_aresetn => s_axis_aresetn_1,
      s_axis_tdata(63 downto 0) => s_axis_tdata_1(63 downto 0),
      s_axis_tkeep(7 downto 0) => s_axis_tkeep_1(7 downto 0),
      s_axis_tlast => s_axis_tlast_1,
      s_axis_tready => axis_data_fifo_0_s_axis_tready,
      s_axis_tvalid => s_axis_tvalid_1
    );
end STRUCTURE;
