--Copyright 1986-2016 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2016.3 (win64) Build 1682563 Mon Oct 10 19:07:27 MDT 2016
--Date        : Fri Mar 10 16:16:41 2017
--Host        : MPLPC1 running 64-bit Service Pack 1  (build 7601)
--Command     : generate_target aurora_2lane_wrapper.bd
--Design      : aurora_2lane_wrapper
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity aurora_2lane_wrapper is
  port (
    gt_refclk1_n : in STD_LOGIC;
    gt_refclk1_out : out STD_LOGIC;
    gt_refclk1_p : in STD_LOGIC;
    gt_reset : in STD_LOGIC;
    gt_reset_out : out STD_LOGIC;
    init_clk_in : in STD_LOGIC;
    loopback : in STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axis_aresetn : in STD_LOGIC;
    pll_not_locked_out : out STD_LOGIC;
    power_down : in STD_LOGIC;
    s_axis_aclk : in STD_LOGIC;
    s_axis_aresetn : in STD_LOGIC;
    s_axis_tdata : in STD_LOGIC_VECTOR ( 63 downto 0 );
    s_axis_tkeep : in STD_LOGIC_VECTOR ( 7 downto 0 );
    s_axis_tlast : in STD_LOGIC;
    s_axis_tready : out STD_LOGIC;
    s_axis_tvalid : in STD_LOGIC;
    sync_clk_out : out STD_LOGIC;
    sys_reset_out : out STD_LOGIC;
    tx_channel_up : out STD_LOGIC;
    tx_hard_err : out STD_LOGIC;
    tx_lane_up : out STD_LOGIC_VECTOR ( 0 to 1 );
    tx_lock : out STD_LOGIC;
    tx_resetdone_out : out STD_LOGIC;
    tx_system_reset : in STD_LOGIC;
    txn : out STD_LOGIC_VECTOR ( 0 to 1 );
    txp : out STD_LOGIC_VECTOR ( 0 to 1 );
    user_clk_out : out STD_LOGIC
  );
end aurora_2lane_wrapper;

architecture STRUCTURE of aurora_2lane_wrapper is
  component aurora_2lane is
  port (
    gt_refclk1_n : in STD_LOGIC;
    gt_refclk1_out : out STD_LOGIC;
    gt_refclk1_p : in STD_LOGIC;
    gt_reset : in STD_LOGIC;
    gt_reset_out : out STD_LOGIC;
    init_clk_in : in STD_LOGIC;
    loopback : in STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axis_aresetn : in STD_LOGIC;
    pll_not_locked_out : out STD_LOGIC;
    power_down : in STD_LOGIC;
    s_axis_aclk : in STD_LOGIC;
    s_axis_aresetn : in STD_LOGIC;
    s_axis_tdata : in STD_LOGIC_VECTOR ( 63 downto 0 );
    s_axis_tkeep : in STD_LOGIC_VECTOR ( 7 downto 0 );
    s_axis_tlast : in STD_LOGIC;
    s_axis_tready : out STD_LOGIC;
    s_axis_tvalid : in STD_LOGIC;
    sync_clk_out : out STD_LOGIC;
    sys_reset_out : out STD_LOGIC;
    tx_channel_up : out STD_LOGIC;
    tx_hard_err : out STD_LOGIC;
    tx_lane_up : out STD_LOGIC_VECTOR ( 0 to 1 );
    tx_lock : out STD_LOGIC;
    tx_resetdone_out : out STD_LOGIC;
    tx_system_reset : in STD_LOGIC;
    txn : out STD_LOGIC_VECTOR ( 0 to 1 );
    txp : out STD_LOGIC_VECTOR ( 0 to 1 );
    user_clk_out : out STD_LOGIC
  );
  end component aurora_2lane;
begin
aurora_2lane_i: component aurora_2lane
     port map (
      gt_refclk1_n => gt_refclk1_n,
      gt_refclk1_out => gt_refclk1_out,
      gt_refclk1_p => gt_refclk1_p,
      gt_reset => gt_reset,
      gt_reset_out => gt_reset_out,
      init_clk_in => init_clk_in,
      loopback(2 downto 0) => loopback(2 downto 0),
      m_axis_aresetn => m_axis_aresetn,
      pll_not_locked_out => pll_not_locked_out,
      power_down => power_down,
      s_axis_aclk => s_axis_aclk,
      s_axis_aresetn => s_axis_aresetn,
      s_axis_tdata(63 downto 0) => s_axis_tdata(63 downto 0),
      s_axis_tkeep(7 downto 0) => s_axis_tkeep(7 downto 0),
      s_axis_tlast => s_axis_tlast,
      s_axis_tready => s_axis_tready,
      s_axis_tvalid => s_axis_tvalid,
      sync_clk_out => sync_clk_out,
      sys_reset_out => sys_reset_out,
      tx_channel_up => tx_channel_up,
      tx_hard_err => tx_hard_err,
      tx_lane_up(0 to 1) => tx_lane_up(0 to 1),
      tx_lock => tx_lock,
      tx_resetdone_out => tx_resetdone_out,
      tx_system_reset => tx_system_reset,
      txn(0 to 1) => txn(0 to 1),
      txp(0 to 1) => txp(0 to 1),
      user_clk_out => user_clk_out
    );
end STRUCTURE;
